Package org.gradle.nativeplatform

## Interface PreprocessingTool

- All Superinterfaces:
    `Tool`

      @Incubating
      public interface PreprocessingTool
      extends Tool

  A tool that permits configuration of the C preprocessor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `define​(java.lang.String name)` | Defines a named preprocessor macros to use when compiling this binary.
    `void` | `define​(java.lang.String name, java.lang.String definition)` | Defines a named preprocessor macro with a value, which will be used when compiling this binary.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getMacros()` | The set of preprocessor macros to define when compiling this binary.

    - ### Methods inherited from interface org.gradle.nativeplatform.Tool

      `args, getArgs`

- - ### Method Detail

    - #### getMacros

          java.util.Map<java.lang.String,​java.lang.String> getMacros()

      The set of preprocessor macros to define when compiling this binary.

    - #### define

          void define​(java.lang.String name)

      Defines a named preprocessor macros to use when compiling this binary. The macro will be supplied to the compiler as '-D name'.

    - #### define

          void define​(java.lang.String name,
                      java.lang.String definition)

      Defines a named preprocessor macro with a value, which will be used when compiling this binary. The macro will be supplied to the compiler as '-D name=definition'.